Get Current User
curl --request GET \
--url https://app.plugchoice.com/api/v3/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"id": 123,
"name": "<string>",
"email": "<string>",
"email_verified": true,
"profiling": {
"required": true,
"next_step": "<string>"
},
"avatar": "<string>",
"intercom": {
"jwt": "<string>",
"hmac_android": "<string>",
"hmac_ios": "<string>",
"hmac_web": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}Users
Get Current User
GET
/
v3
/
user
Get Current User
Returns the authenticated user’s account details.
Response
string
The unique UUID of the user.
integer
The numeric ID of the user.
string
The user’s full name.
string
The user’s email address.
boolean
Whether the user has verified their email address.
object
string
Gravatar URL for the user’s avatar, based on their email address.
object
string
ISO 8601 timestamp of when the user was created.
string
ISO 8601 timestamp of when the user was last updated.
⌘I